# TdApi.AcceptCall (TDLight API 4.0.458 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: AcceptCall

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.AcceptCall

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.AcceptCall

Enclosing class:
  TdApi

public static final class TdApi.AcceptCall extends TdApi.Function<TdApi.Ok>
Accepts an incoming call.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`callId`
Call identifier.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`TdApi.CallProtocol`
`protocol`
The call protocols supported by the application.

## Constructor Summary

Constructors
Constructor
Description
`AcceptCall()`
Accepts an incoming call.
`AcceptCall(int callId, TdApi.CallProtocol protocol)`
Accepts an incoming call.
`AcceptCall(DataInput input)`
Accepts an incoming call.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### callId

public int callId
Call identifier.

### protocol

public TdApi.CallProtocol protocol
The call protocols supported by the application.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### AcceptCall

public AcceptCall()
Accepts an incoming call.

Returns `Ok`

### AcceptCall

public AcceptCall(int callId, TdApi.CallProtocol protocol)
Accepts an incoming call.

Returns `Ok`

Parameters:
  `callId` - Call identifier.
  `protocol` - The call protocols supported by the application.

  Returns `Ok`

### AcceptCall

public AcceptCall(DataInput input) throws IOException
Accepts an incoming call.

Returns `Ok`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`